Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231762 - Original PO strings bugs
Summary: Original PO strings bugs
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot-plugins
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-11 11:49 UTC by Nikolay Sivov
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-15 18:53:25 UTC


Attachments (Terms of Use)
Original PO Bugs (deleted)
2007-03-11 11:49 UTC, Nikolay Sivov
no flags Details
Patch for setroubleshoot-1.9.7-1.fc8 (deleted)
2007-08-18 00:13 UTC, Kai Thomsen
no flags Details | Diff

Description Nikolay Sivov 2007-03-11 11:49:51 UTC
Hello, I've just found some bugs in original pot catalog.
There are about 20 typos, wrong forms etc.
All of them are listed in attached palin text file (Windows encoding and line 
ends).

Hope that's usefull for upcoming FC7.

Comment 1 Nikolay Sivov 2007-03-11 11:49:51 UTC
Created attachment 149789 [details]
Original PO Bugs

Comment 2 Nikolay Sivov 2007-03-23 06:32:54 UTC
Nor reply in more then 10 days. I'm posting a report again. Without attachments.

    1) Typo

     ../plugins/allow_execheap.py:30
     ../plugins/allow_execmem.py:28
	
     Original:
	
     ..(e,g., allocated using malloc)..

     Suggested:

     ..(e.g., allocated using malloc)..

  2) Wrong form

     ../plugins/allow_execstack.py:28 

     Original:

     ..application attempted to make the its stack..

     Suggested:

     ..application attempted to make its stack..

  3) Small letter in the begining of a sentence

     ../plugins/allow_execstack.py:28

     Original:
     
     stack memory is not executable on most OSes these days and this will not 
change.

     Suggested:

     Stack memory is not executable on most\n OSes these days and this will not 
change. 

  4) Typos

     ../plugins/allow_execstack.py:44

     Original:

     ..you can turn the flack back on with execstac -s LIBRARY_PATH..
     
     Suggested:

     ..you can turn the flag back on with execstack -s LIBRARY_PATH..

  5) Typos

     ../plugins/automount_exec_config.py:30

     Original:

     ..if $TARGET_PATH is an automoutn executable configuration..
     
     Suggested:

     ..if $TARGET_PATH is an automount executable configuration..

     ../plugins/automount_exec_config.py:38

     Original:

     ..permanantly..
     
     Suggested:

     ..permanently..

  6) Wrong form
 
     ../plugins/filesystem_associate.py:29

     Original:

     ..Not all file context should be maintained..
     
     Suggested:

     ..Not all file contexts should be maintained..

   
  7) Typo

     ../plugins/httpd_bad_labels.py:30

     Original:

     ..which httpd can accesss.
     
     Suggested:

     ..which httpd can access.

  8) Wrong form

     ../plugins/httpd_enable_cgi.py:29

     Original:

     ..are not allowed to executed.
     
     Suggested:

     ..are not allowed to be executed..

  9) Duplicates

     ../plugins/httpd_enable_cgi.py:36 

     Original:

     If you want httpd to to be able..
     
     Suggested:

     If you want httpd to be able..

  10) Typo (maybe wrong form)

     ../plugins/httpd_enable_homedirs.py:31
     ../plugins/samba_enable_home_dirs.py:28
     ../plugins/spamd_enable_home_dirs.py:29 

     Original:

     SELinux has denied the <..> daemon access to users home..
     
     Suggested:

     SELinux has denied the <..> daemon access to users' home..

  11) Typo

     ../plugins/httpd_tty_comm.py:28

     Original:

     SELinux is not alowing the http daemon..
     
     Suggested:

     SELinux is not allowing the http daemon..

  12) Incompleted sentence + typos

      ../plugins/httpd_unified.py:31
  
      Sentence in str. 9-10 seems to be incompleted.

      Typos:

      Original:

      ..these context..
      ..toi..
   
      Suggested:

      ..these contexts..
      ..to..

  13) Typo

      ../plugins/prelink_mislabled.py:29 

      Original:

      ..librares..
   
      Suggested:

      ..libraries..

      ../plugins/prelink_mislabled.py:41 

      Original:

      ..permanant..
   
      Suggested:

      ..permanent..


Comment 3 Kai Thomsen 2007-08-18 00:12:31 UTC
Here's a patch for setroubleshoot-1.9.7-1.fc8 containing all of Nikolay's
suggestions and a few additional ones by me: I enclosed some command lines in
double quotes to better separate them visually from the rest of the text. I
think it would really be nicer if one could use boldface or italics for those.
Where Apache's process name is meant, it now says "httpd" instead of just "http".

Comment 4 Kai Thomsen 2007-08-18 00:13:34 UTC
Created attachment 161777 [details]
Patch for setroubleshoot-1.9.7-1.fc8

Comment 5 John Dennis 2007-09-15 18:53:25 UTC
Thank you very much Kai for you patch, it is very much appreciated. I've applied
the patch and it should appear in the next release of the setroubleshoot-plugins
rpm. Please note the plugin's are now in their own package and no longer
contained in setroubleshoot-server. At the same time I will update the .po files
in mercurial source code repository on fedoraproject.

Comment 6 John Dennis 2007-09-15 18:55:43 UTC
My appologies, in comment #5 I forgot to extend my thanks to Nikolay who
originally supplied the fixes. Thank you Nikolay!


Note You need to log in before you can comment on or make changes to this bug.